package com.ss.android.ugc.aweme.spark;

import X.C1352KbH;
import X.C1353KbI;
import X.M12;
import com.bytedance.covode.number.Covode;
import com.bytedance.hybrid.spark.SparkContext;
import java.util.ArrayList;
import java.util.List;

public final class AdSparkContext extends SparkContext {
    public final List<C1353KbI> LJIILIIL = new ArrayList();
    public final C1353KbI LJIILJJIL = new C1352KbH(this);

    static {
        Covode.recordClassIndex(114924);
    }

    public final SparkContext LIZIZ(C1353KbI kbI) {
        M12.LIZ((Object) kbI);
        this.LJIILIIL.add(kbI);
        LIZ(this.LJIILJJIL);
        return this;
    }
}
